AutoCAD’de Verimlilik Arttırma Fikirleri

Not: Bu makale yıllarca birlikte çalışmış olduğum çok iyi bir konstrüktif teknik ressam olan H. G. (çeşitli sebeplerden dolayı açık isminin yazılmasını istememektedir.) tarafından autocadbeyni com aracılığıyla bana aktarılan fikirlerden esinlenilerek yazılmıştır. ( çok değerli arkadaşıma teşekkürü bir borç biliyorum.) Belki sizlerde AutoCAD’de verimliliği arttırma ile ilgili kendi fikirlerinizi yorumlarınız olarak eklersiniz.

 H. G. : Araba kullanmaya ilk başladığım zamanlarda, arabayı kontrol etmiyormuşum gibi hissetmiştim. Sanki araba beni kontrol ediyordu. Bunun değişmesi için biraz zaman ve bol miktarda pratik yapmam gerekti. Aynen, AutoCAD kullanmaya ilk başladığım zaman da aynı şekilde hissetmiştim. Anlayamadığım bir sürü şey oldu. Zamanla ve pratik yaptıkça (pratiğin daha etkili olduğunu belirtmeliyim) aynı ilk araba kullandığım zamanki hissetmiş olduğum ki gibi olan  bu hisler değişti. Aynı işlemleri düşündüğüm ile aynı şekilde uyguladım. AutoCAD’de çizdikçe, yeni yollar denedikçe geliştim ve ne yaptığıma dair kendime güvenim geldi. Buradan aklıma kendi verimliliğimi arttırma fikri geldi!

Araba kullanmaya benzemeyen şekilde,  AutoCAD aynı işlemi birçok farklı yolla yapabilir. Baskı (Çıktı) “PLOT” komutunu komut satırına yazarak, bir araç çubuğunun veya şeritin düğmesini seçerek veya menüden Dosya “File” aşağı açılır menüsünden ( programın kullandığınız sürümüne ve seçmiş olduğunuz çalışma ortamına “workspace” bağlı olarak küçük değişiklikleriyle birlikte) Yazdır “Print komutunu seçerek çalıştırabilirsiniz. Bunların hepsi de aynı sonucu verirler. AutoCAD’i kullanmayı ilk öğrendiğiniz zaman, tek şansınız düşündüğünüz (öğrendiğiniz) kesin yöntemi kullanmaktır. Bu programın nasıl çalıştığını öğrenene kadar böyle sürmekle birlikte, kısa yollar yaratarak çizmeyi nasıl hızlandıracağınız farkına vardığınızda değişecektir.

Uzun yıllar AutoCAD ile çizim yaparak tecrübe kazandıkları halde hala uzun yoldan işlem yapan kullanıcıları gördüğüm zaman, çok şaşırıyorum. Bunun insan olarak alışkanlıklarımıza çok bağlandığımızdan kaynaklandığını veya içinde bulunduğumuz bilgi çağında yenilikleri yeteri kadar takip etmediğimizden kaynaklandığını düşünüyorum. Bu teknolojik bilgi çağının süper otobanında artık parmaklarımızın ucunda neredeyse sınırsız bilgiye sahibiz. Artık aynı şeyleri yıllarca aynı yöntemlerle yapmak zorunda değiliz!

“Ne kadar farklı yapabiliriz?” diye sorduğunuzu duyar gibiyim. AutoCAD ile çizerken şayet bir gün içerisinde bastığınız tuş sayısını sayar ve daha sonra bunu bir tuş basışına indirebilirseniz, bir yıl içinde muntazam bir zaman kazandığını göreceksiniz.

Verimliliğinizi arttırmak için, dünyayı yeniden keşfetmeye ihtiyacınız yok. Şayet nereden başlayacağınızı bilmiyorsanız ve ofisinizde çalışan bir CAD üstadınız yok ise, umutsuzluğa kapılmayın! Hızlı bir internet araştırması size binlerce sonuçla geri dönecektir. Bu bilgi kargaşası içerisinde sakın yılmayın bu makale gibi bulabileceğiniz onlarca benzer makaleyi dikkatlice okuyup uyguladığınızda zaman içerisinde küçük bir adımla başlanılan yolculukta çok büyük yol kat ettiğinizi göreceksiniz.

Komut Kısa Yollarını (Harflerini) Yaratın

Benim uyguladığım ilk adım ACAD.PGP  dosyasına istediğim veya gerekli gördüğüm komut kısa yol harflerini eklemektir. Komut kısa yol harfleri “Aliases” komut satırına komutun tamamını yazmak yerine sadece bir tek harf yazarak o komutu çalıştırma olanağı sağlar (örneği Sil “Erase” yerine E, Kopyala “Copy” yerine C, Taşı “Move” yerine M gibi). Bunlar birçok tuş basmanızı azaltırlar. acad.pgp  dosyasını özelleştirmek için, AutoCAD 2010’da ve 2012’de Yönet “Manage sekmesi içerisinde > Özelleştirme “Customization” Panelinde> Kısa yolları Düzenle “Edit Aliases” komutunu çalıştırın. Aynı zamanda acad.pgp  dosyasını Windows’tan bir yazı düzenleyicide (Notepad gibi) de açabilirsiniz. acad.pgp  dosyasının yeri AutoCAD programınızın ve Windows’un sürümüne göre değişmekte olup, bu dosyayı bulmanın en kolay yolu Windows’da arama yapmaktır.

ACAD pgp Dosyası

acad.pgp dosyasının bir kısmı

Basit bir AutoLISP Yordamı Yazın

Uyguladığım bir sonraki adım, basit AutoLISP yordamları yazmak. Kendi AutoLISP dosyamı Başlangıç Çantasına “Startup Suite” ekledim. Bu şu anlama gelmektedir, AutoCAD’i başlattığınız zaman her seferinde yordamları (AutoLISP dosyalarını) tek tek yüklemenize gerek kalmamaktadır. AutoLISP dosyasını Başlangıç Çantasına “Startup Suite” eklemek için, APPLOAD komutunu kullanın.  Uygulamaları Yükle/Kaldır “Load/Unload Applications” iletişim kutusunda, AutoLISP dosyasının yerini belirtin ve dosyayı Başlangıç Çantası “Startup Suite” simgesine sürükleyin.

Autolisp yükleme

AutoLISP dosyasını Başlangıç Çantasına “Startup Suite” sürükleyin

Seçilen nesne çıtçıtları ile mesafe ölçümü yapan yordamlar, bu basit yordamlara örneklerden bazılarıdır. Örneğin, Bazen bir nesnenin veya çizginin bir noktasından bir başka nesneye veya çizgiye dik mesafenin kaç olduğu bilgisine ihtiyaç duyarım. Bunun için AutoLISP kodu söyle görünmektedir: (defun C:MES () (command “DIST” “NEA” pause “PER”))

Daha sonra, komut satırına MES yazarak Enter tuşuna bastığım zaman, komut satırı bana ihtiyacım olan bilgiyi görüntüler. Şimdi siz nesne çıtçıtlarını “OSNAPS”  ayarlayarak aynı bilgiye kolayca ulaşabileceğinizi söyleyebilirsiniz. Fakat yukarıdaki kod size her seferinde doğru nesne çıtçıtının kullanılmasını garanti eder. Bu sıkça kritik olabilir.

Kodun (defun C:[name] () (command “DIST” “[osnap]” pause “[osnap]“)) yazımında,  [isim] autoLISP kodunu çalıştırmak için komut satırına yazılacak komut ismi, [osnap] kullanmak istediğiniz herhangi bir nesne çıtçıtıdır. Pause komutu yordamın işletilişini kullanıcı veri girişi için durdurur. Bu yukarıdaki örnekte bu veri girişi ikinci noktanın belirlenmesidir.

Buradan yola çıkarak şunu söyleyebiliriz: Aynı yazımı kullanarak fakat farklı nesne çıtçıtlarına yer vererek yazabileceğiniz bunun gibi birçok komut kombinasyonları oluşturabilirsiniz. Örneğin:

MKK (Kesişim noktasından kesişim noktasına Mesafe):
(defun C:MKK () (command “DIST” “INTERSECTION” pause “INTERSECTION”))

MUU ( noktadan noktaya Mesafe)
(defun C:MUU () (command “DIST” “ENDPOINT” pause “ENDPOINT”))

MUD ( noktadan dik noktaya Mesafe)
(defun C: MUD () (command “DIST” “ENDPOINT” pause “PERPENDICULAR”))

Aynen bunlar gibi, seçilen nesne çıtçıtlarını kullanarak çizgi çizmek için birçok AutoLISP yordamı yazabilirsiniz:

Bir nesnenin en yakın noktasından bir başka nesneye dik bir çizgi çizme “LINE” komutu:
(defun C:LNP () (command “LINE” “NEA” pause “PER”))

LUU ( noktadan noktaya çizgi çizme):
(defun C:LUU () (command “LINE” “ENDPOINT” pause “ENDPOINT”))

LOU (Orta noktadan noktaya çizgi çizme):
(defun C:LOU () (command “LINE” “MIDPOINT” pause “ENDPOINT”))

Not: Burada, kod yazımı benzer olmakla birlikte, DIST komutu yerine LINE komutu kullanılmıştır.

Bir kere kod yazmaya başladınız mı sonraki kod yazışlarınız daha kolay olacaktır. Hatta daha karmaşık AutoLISP yordamlarını daha kolay yazar hale geleceksiniz. Örneğin, silme çerçevelerini açık veya kapalı duruma getirmek tarzı sistem değişkenlerini değiştirmek için AutoLISP yordamlarını yazabilirsiniz.

Silme çerçevelerini açık duruma getirmek için:
(defun C:WF1 () (command “WIPEOUT” “FRAME” “ON”))

Silme çerçevelerini kapalı duruma getirmek için:
(defun C:WF2 () (command “WIPEOUT” “FRAME” “OFF”))

Şayet koda yakından bakarsanız, tırnak işareti arasında yazılan yazıların komutları çalıştırmak için komut satırına normal olarak yazdıklarınız olduklarını görürsünüz.

Bir başka kullanışlı AutoLISP yordam serisi sıklıkla kullanılan tabakaları “layers” yaratmak ve bunların renklerini ayarlayarak o anki (aktif) tabaka olarak istediğimiz bir tanesini ayarlamaktır. Örneğin, önceki yıllarda çalıştığım firmalardan bir tanesi tasarım ofisinde çizilen tüm çizimlerin ölçülerin her zaman “ÖLÇÜ tabakasında çizilmesini ve renginin de renk 2 (sarı) olmasını isterdi. Bu tabakayı yaratacak ve rengini sarı olarak ayarlayacak  AutoLISP yordamı şu şekilde olacaktır:

(defun C:T2 () (command “-LAYER” “N” “ÖLÇÜ” “S” “ÖLÇÜ” “C” “2” “”))

Firmam aynı zamanda dış referans çizimlerini “external reference drawings” XREF isimli tabakaya yerleştirmemizi istiyordu.  İşte bu dış referans çizimlerini “external reference drawings” yerleştireceğimiz tabakayı yaratacak ve aktif tabaka yapacak kod da söyle:

(defun C:X2 () (command “-LAYER” “N” “XREF” “S” “C” “2” “”))

Aşağıda benim çokça kullandığım AutoLISP kodlarından bazılarını bulabilirsiniz:

Görüntü Bakışlarını “Viewports” kilitlemek veya kilidi açmak için:
(defun C:V1 () (command  “MVIEW” “LOCK” “OFF” pause “”))
(defun C:V2 () (command  “MVIEW” “LOCK” “ON” pause “”))

Çizgileri sıfır (0) yarıçaplı köşe kırmak (FILLET) için:
(defun C:F0 () (command  “FILLET” “R” “0”) (command “FILLET”))

Çizgileri yarıçap tanımlayarak köşe kırmak (FILLET) için:
(defun C:FR () (setq rad (getstring “\n Yarıçap Girin:”))
(command  “FILLET” “R” rad)
(command “FILLET” pause pause)
(princ))

Not: Bu son AutoLISP yordamı Yarıçap Girin: veri istemiyle (uyarısıyla) kullanıcıdan aldığı veriyi rad isimli değişkene aktaran ve daha sonra bu rad değişkenini köşe kır “FILLET komutu için yarıçap değeri olarak kullanan setq AutoLISP komutunu kullanmaktadır.

Verimliliği arttırmak için anahtar öğrenmeye devam etmektir. Bilginizi arttırdıkça ne kadar büyük başarılara ve kolaylıklara imza attığınıza (atabileceğinize) şaşıracaksınız. Yüksek verimlilik bir kazan-kazan durumuna yol açacaktır. İşvereniniz kesinlikle memnun olacak ve kim bilir — bu daha yüksek maaş veya prim olarak size geri dönecektir. Bu makalemi, tüm kullanıcıları her gün biraz daha verimli olmalarını teşvik etmek için yazdım. Çünkü zaman sahip olduğumuz en değerli şeydir! Onu en verimli şekliyle kullanmalıyız. Ben uzmanlık alanlarımdan biri olan AutoCAD programı ile ilgili verimlilik tecrübelerimden bazılarını ve verimlilik adına yaptıklarımı sizlerle paylaştım. Lütfen buna benzer uygulamalarınız varsa sizde yorumlarınızla bunu bizlerle paylaşın.